Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002366TestLinkTest Executepublic2009-04-10 00:092009-05-11 15:55
Reporterbkobs39 
Assigned Toschlundus 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.8.2 
Summary0002366: SQL Error in Test Execution when attempting to complete bulk operations with filter applied
DescriptionSteps to Repro:
1) In the execute section, apply a filter (in my case set Result to 'Not Run' and click 'Apply'
2) Select any test suite folder

At this point the following SQL Error appears:
ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1 - SELECT id,name FROM nodes_hierarchy WHERE id IN ()

THE MESSAGE :: SQL [25] executed [took 0.0003 secs][all took 0.1527 secs]: SELECT id,name FROM nodes_hierarchy WHERE id IN () Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1
Additional InformationThis problem seems to only appear with the 'Result' filter so far...
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0002305closedschlundus While in Execution and filtering by Not_Run, you get a MYSQL error 

-  Notes
(0006323)
fman (administrator)
2009-04-10 00:32

update to 1.8.1 and retest
(0006325)
bkobs39 (reporter)
2009-04-10 01:09

Tried with version 1.8.1 and the issue still occurs:
ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1 - SELECT id,name FROM nodes_hierarchy WHERE id IN ()

THE MESSAGE :: SQL [25] executed [took 0.0003 secs][all took 0.1299 secs]: SELECT id,name FROM nodes_hierarchy WHERE id IN () Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1
(0006353)
kcurran (reporter)
2009-04-13 20:47

This issue is the same as 2305 and 2350
(0006474)
schlundus (reporter)
2009-04-21 02:40

Fixed in 1.8.2 and above

- Issue History
Date Modified Username Field Change
2009-04-10 00:09 bkobs39 New Issue
2009-04-10 00:32 fman Note Added: 0006323
2009-04-10 01:09 bkobs39 Note Added: 0006325
2009-04-13 20:47 kcurran Note Added: 0006353
2009-04-14 01:21 amitkhullar Relationship added has duplicate 0002305
2009-04-21 02:40 schlundus Status new => resolved
2009-04-21 02:40 schlundus Fixed in Version => 1.8.2 (bug fixing)
2009-04-21 02:40 schlundus Resolution open => fixed
2009-04-21 02:40 schlundus Assigned To => schlundus
2009-04-21 02:40 schlundus Note Added: 0006474
2009-05-11 15:55 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker